Bug 429527 - [ml_IN]: Removal of a glyph from font file
[ml_IN]: Removal of a glyph from font file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: fonts-indic (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Rahul Bhalerao
QE Internationalization Bugs
: i18n
Depends On: 429526
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 07:14 EST by Ani Peter
Modified: 2016-07-31 21:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-08 04:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for Lohit-Malayalam.sfd (8.84 KB, patch)
2008-01-22 10:18 EST, Rahul Bhalerao
no flags Details | Diff
Editor Testing (no difference) (40.67 KB, image/jpeg)
2008-09-19 01:45 EDT, A S Alam
no flags Details
Screenshot in Fontforge (117.97 KB, image/png)
2008-09-19 01:51 EDT, A S Alam
no flags Details

  None (edit)
Description Ani Peter 2008-01-21 07:14:43 EST
+++ This bug was initially created as a clone of Bug #429526 +++

Description of problem:
There is a glyph in Malayalam font file where when, 0D38 + 0D4D + 0D31 forms a
glyph with 0D31 under 0D38 like a below based image. This should not happen,
instead must be giving the output just as the sequence of keys.
 
Version-Release number of selected component (if applicable):
gedit 2.20.4

How reproducible:
Always

Steps to Reproduce:
1.Open gedit
2.Type 0D38, 0D4D and 0D31

  
Actual results:
Glyph formed will be like 0D31 under 0D38

Expected results:
Just as in key sequence 0D38, 0D4D and 0D31

Additional info:
screenshot attached

-- Additional comment from apeter@redhat.com on 2008-01-21 07:12 EST --
Created an attachment (id=292356)
Files with correct and wrong glyph
Comment 1 Rahul Bhalerao 2008-01-22 10:18:26 EST
Created attachment 292524 [details]
patch for Lohit-Malayalam.sfd

This patch removes the said glyph.
Comment 4 Rahul Bhalerao 2008-08-01 05:43:04 EDT
Fixed in fedora,needs to be built for RHEL.
Comment 5 Rahul Bhalerao 2008-09-10 08:10:16 EDT
Fixed in fonts-malayalam-2.3.1-1.
Comment 7 A S Alam 2008-09-19 01:45:18 EDT
Created attachment 317153 [details]
Editor Testing (no difference)
Comment 8 A S Alam 2008-09-19 01:51:47 EDT
Created attachment 317156 [details]
Screenshot in Fontforge

Screenshot in fontforge with new and old file (as per suggested by SE), has removed glyph for which bug filed
Comment 11 errata-xmlrpc 2008-10-08 04:04:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0905.html

Note You need to log in before you can comment on or make changes to this bug.